# Wordpress articles recommender app using Python
An application to recommend articles from a Wordpress blog based on user's query using semantic search

## Pre-requisites:
- Adjust the below environment variables before running any of the below steps if required:
    - `DATA_LOC`: Location where all the application data will be stored. By default, it is stored in a `data` folder in the current directory. This folder will be created if it does not exist during creation.
    - HuggingFace key (free) to use their inference endpoints to generate embeddings using Sentence Transformer models. Export the key to an environment variable called `HF_KEY` before creating or querying the index as shown in the steps below.

## How to use the CLI after installing the package from PyPI:
1. Download content: `wordpress-recommender download-content "https://synergychronicler.wordpress.com/sitemap.xml"`
2. Build index using the downloaded content: `wordpress-recommender generate-index "https://synergychronicler.wordpress.com/sitemap.xml"`
3. Query index built in previous step: `wordpress-recommender query-index "https://synergychronicler.wordpress.com/sitemap.xml" --query "How are the AI regulations different in different parts of the world?"`

